Subject: Re: [PATCH v2 00/10] Misc powerpc selftests kernel fixes and cleanups

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Wed, 11 Mar 2026 07:40:57 +0530

Venkat Rao Bagalkote <[email-masked]> writes:

> On 09/03/26 11:44 pm, Ritesh Harjani (IBM) wrote:
>> v1->v2:
>>
>> - dropped debug_vm_pgtable patch which adds a testcase to simulate the
>>    failure scenario. Since it belongs to linux-mm, I will send that out
>>    separately.
>> - Modified Patch-2 in this series to also cover PMD device migration
>>    entry (in addition to PMD THP migration entry). Hence dropped the
>>    previous RB tag.
>> - Added a new Patch-3 to fix another selftests WARNING.
>> - Fixed commit subject of Patch-10.
>> - Changed subject pre-fix of few patches to be consistent with others
>>    (powerpc/64s)
>> - Added RB tags
>>
>> This patch series addresses selftests issues w.r.t warnings or
>> VM_BUG_ONs seen mainly on book3s64 powerpc kernel. This also carries
>> cleanups and refactoring changes which I identified while reviewing
>> other's patches and/or during code walkthrough.
>>
>> Suggestions and feedback are welcome!
>>
>> Ritesh Harjani (IBM) (10):
>>    powerpc/pgtable-frag: Fix bad page state in pte_frag_destroy
>>    powerpc/64s: Fix unmap race with PMD migration entries
>>    powerpc/64s: Fix _HPAGE_CHG_MASK to include _PAGE_SPECIAL bit
>>    powerpc/64s/tlbflush-radix: Remove unused radix__flush_tlb_pwc()
>>    powerpc/64s: Move serialize_against_pte_lookup() to hash_pgtable.c
>>    powerpc/64s: Kill the unused argument of exit_lazy_flush_tlb
>>    powerpc/64s: Rename tlbie_va_lpid to tlbie_va_pid_lpid
>>    powerpc/64s: Rename tlbie_lpid_va to tlbie_va_lpid
>>    powerpc/64s: Make use of H_RPTI_TYPE_ALL macro
>>    powerpc: Print MMU_FTRS_POSSIBLE & MMU_FTRS_ALWAYS at startup
>>
>>   arch/powerpc/include/asm/book3s/64/pgtable.h  | 20 +++++-
>>   .../include/asm/book3s/64/tlbflush-radix.h    |  1 -
>>   arch/powerpc/kernel/setup-common.c            |  4 ++
>>   arch/powerpc/mm/book3s64/hash_pgtable.c       | 21 +++++++
>>   arch/powerpc/mm/book3s64/internal.h           |  2 -
>>   arch/powerpc/mm/book3s64/pgtable.c            | 40 +++---------
>>   arch/powerpc/mm/book3s64/radix_tlb.c          | 61 ++++++++-----------
>>   arch/powerpc/mm/pgtable-frag.c                |  1 +
>>   8 files changed, 79 insertions(+), 71 deletions(-)
>>
> Tested-by: Venkat Rao Bagalkote <[email-masked]>

Thanks a lot!

>
> I applied the patch series on top of mainline and verified that the kernel
> builds and boots successfully.
>
> I also ran the following test suites on both RADIX (POWER11) and HASH 
> (POWER9)
> MMU configurations:
>
>    - tools/testing/selftests/mm
>    - tools/testing/selftests/memory-hotplug
>    - tools/testing/selftests/powerpc/mm
>    - tools/testing/selftests/powerpc/cache_shape
>    - tools/testing/selftests/powerpc/copyloops
>
> In addition, I executed basic sanity and stress tests, including:
> stutter, eatmemory, hugepage_sanity, fork_mem, memory_api mprotect,
> vatest, and several transparent-hugepage sanity checks.

Thanks Venkat for verifying this extensively.
So other than couple of hmm tests, there shouldn't be any other kernel
warnings or any VM_BUG_ONs() hitting after this patch series.
(we discussed this internally too!)

And as for those warnings with hmm tests fixes - will fix them in a
separate patch series later (as those looks to be non-powerpc fixes).

This should also enable Venkat and other CI systems to run mm selftests
on book3s64 PowerPC without any kernel issues.

>
> All tests passed without regressions.

Thanks! 

> Regards,
> Venkat